CorebanqCorebanq Developer Docs
Rolesv1User Roles

List user-role assignments (v1)

Handler: ListUserRoles. Returns a bare array of models.UserRole. When caller lacks ReadAll on user_roles, results are scoped to the authenticated user only.

GET
/v1/user-roles

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user-roles"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
    "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9",
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
    "modified_at": "2019-08-24T14:15:22Z",
    "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
    "active": true,
    "metadata": {}
  }
]
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 500,
  "message": "server_error"
}